body {
	font-family: monospace;
	font-size: 11pt;
	height: 100vh;
	margin: 0;
	display: flex;
    flex-direction: column;
 	box-sizing: border-box;
 	padding: 0;
 	background-color: #ddd;
}

div {
	padding: 0.3rem;
}

li {
	padding: 0;
	padding-top: 0.3rem;
}

.k-link {
	text-decoration: underline !important;
}

.k-image {
	max-height: 400px;
	max-width: 700px;
}

.k-spacer {
	text-align: right;
	margin-top: 5%;
	font-size: 8pt;
	color: #ccc;
	padding: 0.5rem 2rem 0.5rem 0.5rem;
}

ul.k-bulleted {
	list-style-type: disc;
	font-family: 'Lucida Grande', sans-serif;
	margin: 0;
	padding: 0.3rem;
	padding-left: 1.5rem;
}

ul.k-bulleted ul {
	list-style-type: disc;
	margin: 0;
	padding: 0;
	font-size: 11pt;
	padding-left: 1rem;
}

ul.k-non-bulleted {
	list-style-type: none;
	font-family: 'Lucida Grande', sans-serif;
	margin: 0;
	padding: 0.3rem;
}

ul.k-non-bulleted ul {
	list-style-type: none;
	margin: 0;
	padding: 0;
	font-size: 11pt;
	padding-left: 1rem;
}

ol {
	list-style-type: decimal;
	font-family: 'Lucida Grande', sans-serif;
	margin: 0;
	padding: 0.3rem;
	padding-left: 1.5rem;
}

ol ol {
	margin: 0;
	padding: 0;
	font-size: 11pt;
	padding-left: 1rem;
}

ol>ol {
	list-style-type: lower-alpha;
}

ol>ol>ol {
	list-style-type: lower-roman;
}

ol>ol>ol>ol {
	list-style-type: upper-alpha;
}

ol>ol>ol>ol>ol {
	list-style-type: uper-roman;
}

hr {
	border: 0;
	border-bottom: 1px solid #ccc;
}

.k-h1, .k-h2, .k-h3, .k-h4, .k-m1, .k-m2, .k-m3, .k-m4 {
	padding-top: 0.9em;
}

.k-h1, .k-m1 {
	font-family: 'Lucida Grande', sans-serif;
	font-size: 24pt;
	font-weight: bold;
}

.k-h2, .k-m2 {
	font-family: 'Lucida Grande', sans-serif;
	font-size: 18pt;
	font-weight: bold;
}

.k-h3, .k-m3 {
	font-family: 'Lucida Grande', sans-serif;
	font-size: 14pt;
	font-weight: bold;
}

.k-h4, .k-m4 {
	font-family: 'Lucida Grande', sans-serif;
	font-size: 11pt;
	font-weight: bold;
}

.k-break {
	padding: 0.5rem;
}

.k-page-title {
	background-color: black;
	color: white;
	font-size: 24pt;
	font-weight: bold;
	padding-left: 1.7rem;
}

.k-page {
	display: flex;
	height: 100%;
	padding:0;
	overflow: scroll;
}

.k-code {
	display: inline;
	color: #b00;
	font-family: monospace;
	padding:0;
	font-size: 11pt;
}

.k-codeblock {
	display: inline-block;
    white-space: pre;
    padding: 0.8rem;
    margin: 0.5rem 1rem 0.5rem 1rem;
/*    margin-left: 1rem;*/
    background-color: #333;
    border: 1px solid #ccc;
    color: white;
    border-radius: 0.6rem;
}

.k-navbar {
	flex: 0 0 auto;
	overflow-x: hidden;
	overflow-y: scroll;
	padding-left: 0rem;
	padding-right: 0rem;
	min-width: 10vw;
	max-width: 30vw;
	font-size: 9pt;
	border-right: 1px solid #eee;
	background-color: white;
}

a, a:hover, a:visited, a:link {
	text-decoration: none;
}

.k-nav {
	padding-left: 1.2rem;
	padding-right: 1.2rem;
	text-decoration: none;
	color: black;
}

.k-nh1 a {
	color: inherit;
}

.k-nav:hover {
	background-color: #eee;
	text-decoration: none;
	color: black;
}

.k-nav:visited {
	text-decoration: none !important;
	color: black;
}

.k-nav-header {
	font-family: 'Lucida Grande', sans-serif;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}

.k-nh1.collapsible {
	color: #fff;
	background-color: #59f;
	padding: 0.3rem;
}

.k-nh1 {
	margin-top: 0.7rem;
	font-weight: bold;
}


.k-nh2 {
	font-weight: normal;
}

.k-nav-import, .k-nav-attributes, .k-nav-constants, .k-nav-params, .k-nav-exceptions {
	font-family: 'Lucida Grande', sans-serif;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}

.k-nav-class {
	margin-top: 0.7rem;
	font-weight: bold;
	font-family: monospace;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}

.k-nav-method {
	font-family: monospace;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}

.k-content {
	background-color: white;
	overflow: scroll;
	flex-grow:1;
	minw-dith: 30rem;
	max-width: 50rem;
}

.k-paragraph {
	font-family: 'Lucida Grande', sans-serif;
	font-size: 11pt;
}

.k-byline {
	color: #aaa;
	font-family: 'Lucida Grande', sans-serif;
	font-size: 11pt;
}

.k-byline-line {
	padding:0.2rem 0 0.2rem 0;
}

.k-imports {
	font-weight: bold;
	font-family: 'Lucida Grande', sans-serif;
	font-size: 11pt;
}

.k-imports-line {
	color: #b00;
	font-weight: normal;
	font-family: monospace;
}

.k-imports-line:hover {
	background-color: #eee;
}

.k-class {
	margin-top: 1rem;
	font-size: 18pt;
	font-weight: bold;
	border-bottom: 1px solid #ccc;
}

.k-method {
	margin-top: 0.7rem;
	font-size: 14pt;
	font-weight: bold;
	color: #59f;
}

table {
  border-collapse: collapse; }

 td {
 	padding: 0.2rem;
 }

table, th, td {
  border: 0px solid black; }

table.k-table {
	margin: 0.5rem;
	background-color: #fcfcfc;
	border: 1px solid #bcbcbc;
	font-family: 'Lucida Grande', sans-serif;
	font-size: 11pt;
}

table.k-table th {
	background-color: #e0e0e0;
	color: black;
	border: 1px solid #bcbcbc;
	text-align: left;
	padding: 0.5rem 0.8rem 0.5rem 0.8rem;
}

table.k-table td {
	border: 1px solid #ccc;
	padding: 0.5rem 0.8rem 0.5rem 0.8rem;
}

div.k-params, div.k-constants, div.k-attributes, div.k-exceptions {
	font-weight: bold;
	font-family: 'Lucida Grande', sans-serif;
	font-size: 11pt;
}

table.k-params, table.k-constants, table.k-attributes, table.k-exceptions {
	margin-top: 0.3rem;
}

table.k-def {
	margin:0;
}

tr:hover {
	background-color: #eee;
}

table.k-note {
	margin: 0.5rem;
	background-color: #fff8dc;
    border: 1px solid #d0c391;
	font-family: 'Lucida Grande', sans-serif;
	font-style: italic;
	font-size: 11pt
}

table.k-note tr td {
	font-size: 11pt;
	padding: 0.5rem;
}

.k-note-note {
	vertical-align: top;
	padding-right: 0 !important;
	font-weight: bold;
}

.k-var_name {
	color: #b00;
	font-family: monospace;
	white-space: nowrap;
}

.k-var_desc {
	padding-left: 1.7rem;
	font-family: 'Lucida Grande', sans-serif;
	font-size: 11pt;
}

.k-return {
	font-weight: bold;
	font-family: 'Lucida Grande', sans-serif;
	font-size: 11pt;
}

.k-return_desc {
	font-family: 'Lucida Grande', sans-serif;
	font-weight: normal;
	font-size: 11pt;
}

.k-return_desc:hover {
	background-color: #eee;
}